Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0
Release: 1
Copyright: GPL
Group: Applications/Text
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/textutils-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --sysconfdir=/etc \
	--disable-nls
make
make -C doc textutils.ps
gzip -9f doc/textutils.ps


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/bin/* ||:
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info

mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/{cat,sort} $RPM_BUILD_ROOT/bin

# tsort is provided by util-linux
rm -f $RPM_BUILD_ROOT/usr/{bin/tsort,man/man1/tsort.1}


%post
/sbin/install-info /usr/info/textutils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/textutils.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc doc/textutils.ps.gz
/bin/*
/usr/bin/*
/usr/info/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

